Index: /applications/dual/vahala/DP/prac_verz.lyx
===================================================================
--- /applications/dual/vahala/DP/prac_verz.lyx (revision 1447)
+++ /applications/dual/vahala/DP/prac_verz.lyx (revision 1448)
@@ -8615,15 +8626,14 @@
 \end_inset
 
- a dále jsme využili toho, že 
+ a dále jsme využili vztahu 
+\begin_inset Formula $\mathrm{Var}\left(x\right)=\mathrm{E}\left\{ x^{2}\right\} -\left(\mathrm{E}\left\{ x\right\} \right)^{2}$
+\end_inset
+
+ a toho, že 
 \begin_inset Formula $\overline{\omega}_{t}$
 \end_inset
 
- je daný parametr a tedy je pro výpočet střední hodnoty konstantou a vztahu
- 
-\begin_inset Formula $\mathrm{Var}\left(x\right)=\mathrm{E}\left\{ x^{2}\right\} -\left(\mathrm{E}\left\{ x\right\} \right)^{2}$
-\end_inset
-
-.
- Tedy ve výpočtu Bellmanovy funkce 
+ je známý parametr a tedy je pro výpočet střední hodnoty konstantou.
+ Následně můžeme ve výpočtu Bellmanovy funkce 
 \begin_inset Formula $V$
 \end_inset
@@ -8636,5 +8646,5 @@
 \end_inset
 
-) můžeme náhodnou veličinu 
+) náhodnou veličinu 
 \begin_inset Formula $x_{t}$
 \end_inset
@@ -8648,6 +8658,5 @@
 \end_inset
 
-, tj.
- varianci otáček stroje.
+, to jest varianci otáček stroje.
 \end_layout
 
@@ -8657,19 +8666,15 @@
 
 \begin_layout Standard
-Následující postup s hyperstavem vychází z 
-\begin_inset CommandInset citation
-LatexCommand cite
-key "Kim2006"
-
-\end_inset
-
-.
- V tomto článku je však narozdíl od následujícího postupu používán spojitý
- čas.
-\end_layout
-
-\begin_layout Standard
-Jedná se o analogii s LQG v předchozí části, s tím rozdílem, že použijem
- EKF algoritmus v jistém smyslu jakoby dvakrát.
+Následující algoritmus využívající hyperstav je praktickou realizací postupu
+ nastíněného v ostavci 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sub:Prehled-metod-dualniho-rizeni"
+
+\end_inset
+
+.
+ Jedná se o analogii s LQG popsaným v předchozích částech, s tím rozdílem,
+ že místo stavu je aplikován právě na hyperstav.
  Protože tímto přístupem již značně narůstá dimenzionalita úlohy je z výpočetníc
 h důvodů výhodnější užití redukovaného modelu, i přes komplikace, které
@@ -8691,5 +8696,5 @@
 \end_inset
 
- i odhad jeho variance v podobě matice
+ i odhad jeho kovariance v podobě matice
 \begin_inset Formula 
 \[
@@ -8716,23 +8721,6 @@
 \end_inset
 
-) představují předpis pro výpočet 
-\begin_inset Formula $P$
-\end_inset
-
-: 
-\end_layout
-
-\begin_layout Standard
-\begin_inset Formula 
-\begin{eqnarray}
-\overline{P} & = & APA^{T}+V\nonumber \\
-S & = & C\overline{P}C^{T}+W\nonumber \\
-K & = & \overline{P}C^{T}S^{-1}\label{eq:ekf-pro-hyperstav}\\
-P^{+} & \text{=} & \left(I-KC\right)\overline{P}\nonumber 
-\end{eqnarray}
-
-\end_inset
-
-kde jsou z důvodu jednoduššího zápisu vynechány časové indexy 
+) představují předpis její výpočet.
+ Z důvodu jednoduššího zápisu budou vynechány časové indexy 
 \begin_inset Formula $t$
 \end_inset
@@ -8747,4 +8735,19 @@
 
 .
+ Použité rovnice pro EKF jsou tedy ve tvaru
+\end_layout
+
+\begin_layout Standard
+\begin_inset Formula 
+\begin{eqnarray}
+\overline{P} & = & APA^{T}+V,\nonumber \\
+S & = & C\overline{P}C^{T}+W,\nonumber \\
+K & = & \overline{P}C^{T}S^{-1},\label{eq:ekf-pro-hyperstav}\\
+P^{+} & \text{=} & \left(I-KC\right)\overline{P}.\nonumber 
+\end{eqnarray}
+
+\end_inset
+
+
 \end_layout
 
@@ -8765,16 +8768,37 @@
 \begin_inset Formula 
 \[
-\xi_{t}=\left(\omega_{t},\vartheta_{t},P_{\omega},P_{\omega\vartheta},P_{\vartheta}\right)^{T}
+\xi_{t}=\left(\omega_{t},\vartheta_{t},P_{\omega},P_{\omega\vartheta},P_{\vartheta}\right)^{T}.
 \]
 
 \end_inset
 
-Na hyperstav již aplikujeme algoritmus pro LQG, jak byl popsán v předchozí
- části.
- Problém však představuje nalezení matice derivací 
-\begin_inset Formula $A$
-\end_inset
-
-, protože je třeba derivovat maticové rovnice pro výpočet EKF (
+Na hyperstav následně aplikujeme algoritmus LQG viz část 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sec:LQG-obecne"
+
+\end_inset
+
+, podobně jako pro EKF a LQ regulátor pro redukovaný model jak bylo popsáno
+ v předchozích částech 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sub:EKF-Redukovany-model"
+
+\end_inset
+
+ a 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sub:LQ-řízení-pro-red-model"
+
+\end_inset
+
+.
+ Větší problém však představuje nalezení matice derivací 
+\begin_inset Formula $A_{t}$
+\end_inset
+
+, protože je třeba navíc derivovat maticové rovnice pro výpočet EKF (
 \begin_inset CommandInset ref
 LatexCommand ref
@@ -8796,6 +8820,10 @@
 \end_inset
 
-) dle jednotlivých složek vektoru hyperstavu 
-\begin_inset Formula $\xi$
+) dle jednotlivých složek 
+\begin_inset Formula $\xi_{i}$
+\end_inset
+
+ vektoru hyperstavu 
+\begin_inset Formula $\xi_{t}$
 \end_inset
 
@@ -8803,8 +8831,8 @@
 \begin_inset Formula 
 \begin{eqnarray}
-\frac{\partial\overline{P}}{\partial\xi_{i}} & = & \frac{\partial A}{\partial\xi_{i}}PA^{T}+A\frac{\partial P}{\partial\xi_{i}}A^{T}+AP\frac{\partial A^{T}}{\partial\xi_{i}}\nonumber \\
-\frac{\partial S}{\partial\xi_{i}} & = & \frac{\partial C}{\partial\xi_{i}}\overline{P}C^{T}+C\frac{\partial\overline{P}}{\partial\xi_{i}}C^{T}+C\overline{P}\frac{\partial C^{T}}{\partial\xi_{i}}\nonumber \\
-\frac{\partial K}{\partial\xi_{i}} & = & \frac{\partial\overline{P}}{\partial\xi_{i}}C^{T}S^{-1}+\overline{P}\frac{\partial C^{T}}{\partial\xi_{i}}S^{-1}-\overline{P}C^{T}S^{-1}\frac{\partial S}{\partial\xi_{i}}S^{-1}\label{eq:ekf-stav-derivace}\\
-\frac{\partial P^{+}}{\partial\xi_{i}} & \text{=} & \frac{\partial\overline{P}}{\partial\xi_{i}}-\frac{\partial K}{\partial\xi_{i}}C\overline{P}-K\frac{\partial C}{\partial\xi_{i}}\overline{P}-KC\frac{\partial\overline{P}}{\partial\xi_{i}}\nonumber 
+\frac{\partial\overline{P}}{\partial\xi_{i}} & = & \frac{\partial A}{\partial\xi_{i}}PA^{T}+A\frac{\partial P}{\partial\xi_{i}}A^{T}+AP\frac{\partial A^{T}}{\partial\xi_{i}},\nonumber \\
+\frac{\partial S}{\partial\xi_{i}} & = & \frac{\partial C}{\partial\xi_{i}}\overline{P}C^{T}+C\frac{\partial\overline{P}}{\partial\xi_{i}}C^{T}+C\overline{P}\frac{\partial C^{T}}{\partial\xi_{i}},\nonumber \\
+\frac{\partial K}{\partial\xi_{i}} & = & \frac{\partial\overline{P}}{\partial\xi_{i}}C^{T}S^{-1}+\overline{P}\frac{\partial C^{T}}{\partial\xi_{i}}S^{-1}-\overline{P}C^{T}S^{-1}\frac{\partial S}{\partial\xi_{i}}S^{-1},\label{eq:ekf-stav-derivace}\\
+\frac{\partial P^{+}}{\partial\xi_{i}} & \text{=} & \frac{\partial\overline{P}}{\partial\xi_{i}}-\frac{\partial K}{\partial\xi_{i}}C\overline{P}-K\frac{\partial C}{\partial\xi_{i}}\overline{P}-KC\frac{\partial\overline{P}}{\partial\xi_{i}},\nonumber 
 \end{eqnarray}
 
@@ -8846,5 +8874,5 @@
 A_{1} & A_{2} & 0 & 0 & 0\\
 \left(\frac{\partial P^{+}}{\partial\omega}\right)^{sl} & \left(\frac{\partial P^{+}}{\partial\vartheta}\right)^{sl} & \left(\frac{\partial P^{+}}{\partial P_{\omega}}\right)^{sl} & \left(\frac{\partial P^{+}}{\partial P_{\omega\vartheta}}\right)^{sl} & \left(\frac{\partial P^{+}}{\partial P_{\vartheta}}\right)^{sl}
-\end{array}\right]
+\end{array}\right],
 \]
 
@@ -8859,13 +8887,20 @@
 \end_inset
 
--tý sloupec matice 
-\begin_inset Formula $A$
-\end_inset
-
-, zápis 
+-tý sloupec původní matice 
+\begin_inset Formula $A_{t}$
+\end_inset
+
+ viz (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:matice-ekf-redukovanymodel-ls"
+
+\end_inset
+
+), 
 \begin_inset Formula $0$
 \end_inset
 
- je sloupec nul vhodné délky a parciální derivace 
+ označuje sloupec nul vhodné délky a parciální derivace 
 \begin_inset Formula $P^{+}$
 \end_inset
@@ -8879,9 +8914,9 @@
 sl
 \emph default
- 
+, tedy 
 \begin_inset Formula $\left(\frac{\partial P^{+}}{\partial\xi_{i}}\right)^{sl}$
 \end_inset
 
- je myšlena v tom smyslu, že po vypočtení příslušné derivace 
+, je myšlena v tom smyslu, že po vypočtení příslušné derivace 
 \begin_inset Formula $\frac{\partial P^{+}}{\partial\xi_{i}}$
 \end_inset
@@ -8895,5 +8930,6 @@
 
 ) jsou z této matice vybrány 3 z jejích 4 prvků tvořící horní nebo dolní
- trojúhelník a zapísány ve smyslu tvorby vektoru hyperstavu do sloupce:
+ trojúhelník a zapísány ve smyslu tvorby vektoru hyperstavu do sloupce.
+ Tedy matice
 \begin_inset Formula 
 \[
@@ -8906,9 +8942,9 @@
 \end_inset
 
-
+je zapsána jako
 \begin_inset Formula 
 \[
 \left(\frac{\partial P^{+}}{\partial\xi_{i}}\right)^{sl}=\left(\begin{array}{ccc}
-\frac{\partial P_{\omega}^{+}}{\partial\xi_{i}} & \frac{\partial P_{\omega\vartheta}^{+}}{\partial\xi_{i}} & \frac{\partial P_{\vartheta}^{+}}{\partial\xi_{i}}\end{array}\right)^{T}
+\frac{\partial P_{\omega}^{+}}{\partial\xi_{i}} & \frac{\partial P_{\omega\vartheta}^{+}}{\partial\xi_{i}} & \frac{\partial P_{\vartheta}^{+}}{\partial\xi_{i}}\end{array}\right)^{T}.
 \]
 
@@ -8933,22 +8969,47 @@
 
  pouze doplněnou nulami na vhodný rozměr.
- Pro lineárně kvadratické řízení platí opět totéž, co pro jednoduché (tj.
- bez hyperstavu) a matici 
+ Pro lineárně kvadratický regulátor platí opět totéž, co pro jednoduchý
+ (tedy bez hyperstavu) a matici 
 \begin_inset Formula $A_{hyp}$
 \end_inset
 
- je tedy třeba rozšířit zahrnutím konstantních členů, dále je třeba ošetřit
- substitucí řízení na nenulové požadované otáčky 
+ je třeba rozšířit zahrnutím konstantních členů, dále je třeba ošetřit substituc
+í řízení (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:substituce-psi"
+
+\end_inset
+
+) na nenulové požadované otáčky 
 \begin_inset Formula $\overline{\omega}$
 \end_inset
 
 .
+ Kvůli větší složitosti tohoto výpočtu bylo rozšíření matice 
+\begin_inset Formula $A_{hyp}$
+\end_inset
+
+ prováděno pomocí symbolický výpočtů v programu Matlab, výsledek je pak
+ uveden v příloze (
+\series bold
+zatím teda není
+\series default
+).
+ Protože uvažujeme redukovaný model je třeba dále užít zřetězení dvou LQ
+ regulátorů, podobně jako v případě bez hyperstavu v odstavci 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sub:LQ-řízení-pro-red-model"
+
+\end_inset
+
+.
  
 \end_layout
 
 \begin_layout Standard
-Protože uvažujeme redukovaný model je třeba užít zřetězení dvou LQ regulátorů.
- Výhodou využití hyperstavu ale je, že máme k dispozici i odhady variancí
- 
+Výhodou využití hyperstavu je, že máme k dispozici i odhady kovarianční
+ matice 
 \begin_inset Formula $P$
 \end_inset
@@ -8980,5 +9041,5 @@
 
 \begin_layout Standard
-Tedy pro stav
+Pro stav
 \begin_inset Formula 
 \[
@@ -8988,5 +9049,12 @@
 \end_inset
 
-vypočteme z rovnic pro EKF kovarianční matici
+vypočteme z rovnic (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:ekf-pro-hyperstav"
+
+\end_inset
+
+) EKF kovarianční matici
 \begin_inset Formula 
 \[
@@ -9016,5 +9084,5 @@
 \begin_inset Formula 
 \[
-\xi_{t}=\left(i_{\alpha,t},i_{\beta,t},\omega_{t},\vartheta_{t},P_{5},P_{6},P_{7},P_{8},P_{9},P_{10},P_{11},P_{12},P_{13},P_{14}\right)^{T}
+\xi_{t}=\left(i_{\alpha,t},i_{\beta,t},\omega_{t},\vartheta_{t},P_{5},P_{6},P_{7},P_{8},P_{9},P_{10},P_{11},P_{12},P_{13},P_{14}\right)^{T}.
 \]
 
@@ -9029,11 +9097,17 @@
 \end_inset
 
-, jsou formálně shodné s rovnicemi pro redukovaný model, pouze rozměry vystupují
-cích matic jsou větší.
- A matice 
+, jsou formálně shodné s rovnicemi (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:ekf-stav-derivace"
+
+\end_inset
+
+) pro redukovaný model, pouze rozměry vystupujících matic jsou větší.
+ Matice 
 \begin_inset Formula $A_{hyp}$
 \end_inset
 
- je ve tvaru
+ je pak v blokovém tvaru
 \begin_inset Formula 
 \[
@@ -9042,18 +9116,58 @@
 \\
 \left(\frac{\partial P^{+}}{\partial\xi_{i}}\right)_{i\in\left\{ 1\ldots14\right\} }^{sl}
-\end{array}\right]
+\end{array}\right],
 \]
 
 \end_inset
 
-
+kde 
+\begin_inset Formula $A$
+\end_inset
+
+ značí původní matici 
+\begin_inset Formula $A_{t}$
+\end_inset
+
+ (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:matice-ekf-plnymodel-ls"
+
+\end_inset
+
+) pro EKF standartního plného stavu, 
+\begin_inset Formula $0$
+\end_inset
+
+ je nulová matice vhodného rozměru a zápis 
+\begin_inset Formula $\left(\frac{\partial P^{+}}{\partial\xi_{i}}\right)^{sl}$
+\end_inset
+
+ má stejný význam jako v předchozím odstavci, jen vybírá trojúhelník z větší
+ matice; tyto sloupcové vektory jsou pak po řadě, dle indexu 
+\begin_inset Formula $i$
+\end_inset
+
+, zapsány do blokové matice 
+\begin_inset Formula $A_{hyp}$
+\end_inset
+
+.
+ Pro LQ regulátor je matici opět třeba rozšířit o konstantní člen, který
+ byl počítán symbolicky a je možné jej nalézt v příloze (
+\series bold
+zatím teda ne
+\series default
+).
+ Výhodou je opět dostupnost odhadu kovarianční matice 
+\begin_inset Formula $P$
+\end_inset
+
+ a oproti redukovanému modelu se zde navíc nevyskytují komplikace při návrhu
+ řízení jako pro redukovaný model.
 \end_layout
 
 \begin_layout Section
-Bikriteriální metoda(
-\series medium
-nutno přepracovat a doplnit další verze
-\series default
-)
+Bikriteriální metoda
 \end_layout
 
@@ -9063,10 +9177,5 @@
 
 \begin_layout Standard
-Posledním z implementovaných algoritmů je následující 
-\emph on
-jednoduchý duální návrh
-\emph default
-.
- Hlavní myšlenka je založena na 
+Dalším z implementovaných algoritmů je jednoduchý návrh založený na 
 \emph on
 bikriteriální metodě
@@ -9075,5 +9184,5 @@
 \begin_inset CommandInset ref
 LatexCommand ref
-reference "sub:Vybrané-algoritmy-proDC"
+reference "sub:Prehled-metod-dualniho-rizeni"
 
 \end_inset
@@ -9092,11 +9201,8 @@
 , které se pod tímto pojmem obvykle rozumí není v případě zde uvažovaného
  systému snadné.
- Proto místo něj využijeme opět LQ řízení v 
-\begin_inset Formula $d-q$
-\end_inset
-
- souřadnicích.
+ Proto místo něj využijeme některé standartní řízení, například vektorové
+ založené na PI nebo LQ regulátorech.
  Toto není z hlediska bikriteriální metody korektní, zde uvažovaný postup
- je ale myšlen jako jednoduchý duální návrh a je pouze jejím jistým přiblížením.
+ je ale myšlen jako jednoduchý návrh a je pouze jejím jistým přiblížením.
 \end_layout
 
@@ -9113,5 +9219,5 @@
 
  ve tvaru 
-\begin_inset Formula $\left\langle \tilde{u}_{d}-\varepsilon,\tilde{u}_{d}+\varepsilon\right\rangle \times\left\langle \tilde{u}_{q}-\varepsilon,\tilde{u}_{q}+\varepsilon\right\rangle $
+\begin_inset Formula $\left\langle \tilde{u}_{d}-\varepsilon_{d},\tilde{u}_{d}+\varepsilon_{d}\right\rangle \times\left\langle \tilde{u}_{q}-\varepsilon_{q},\tilde{u}_{q}+\varepsilon_{q}\right\rangle $
 \end_inset
 
@@ -9122,23 +9228,9 @@
 
 \begin_layout Standard
-Jak již bylo uvedeno v kapitole 
-\begin_inset CommandInset ref
-LatexCommand ref
-reference "sec:Estimace-stavových-veličin"
-
-\end_inset
-
-, čím jsou vyšší otáčky, tím získáváme lepší odhad stavových veličin 
-\begin_inset Formula $\omega$
-\end_inset
-
- a 
-\begin_inset Formula $\vartheta$
-\end_inset
-
-, protože na otáčkách přímo úměrně závisí velikost zpětné elektromotorické
- síly.
- Na tomto základě můžeme uvažovat, že optimální buzení pro PMSM je takové,
- které se snaží maximalizovat otáčky 
+Velikost zpětné elektromotorické síly, na základě které jsou odhadovány
+ mechanické veličiny, je přímo úměrná otáčkám a tedy čím jsou vyšší otáčky,
+ tím získáváme lepší odhad těchto veličin.
+ Můžeme tedy uvažovat, že optimální buzení pro PMSM je takové, které se
+ snaží maximalizovat otáčky 
 \begin_inset Formula $\omega$
 \end_inset
@@ -9152,20 +9244,9 @@
 \begin_inset CommandInset ref
 LatexCommand ref
-reference "eq:rovnice_jedn_dq"
-
-\end_inset
-
-) 
-\begin_inset Formula 
-\begin{eqnarray*}
-i_{d,t+1} & = & ai_{d,t}+\Delta t\cdot i_{q,t}\omega_{t}+cu_{d,t},\\
-i_{q,t+1} & = & ai_{q,t}-\Delta t\cdot i_{d,t}\omega_{t}-b\omega_{t}+cu_{q,t},\\
-\omega_{t+1} & \text{=} & d\omega_{t}+ei_{q,t},\\
-\vartheta_{t+1} & \text{=} & \vartheta_{t}+\omega_{t}\Delta t,
-\end{eqnarray*}
-
-\end_inset
-
-kde do třetí rovnice dosadíme z prvních dvou
+reference "eq:diskretni-system-dq-ls"
+
+\end_inset
+
+), kde do třetí rovnice dosadíme z prvních dvou
 \begin_inset Formula 
 \begin{equation}
@@ -9175,6 +9256,6 @@
 \end_inset
 
-Dosazovat by šlo samozřejmě dále, ale již teď je vidět, jak je vhodné volit
- 
+Dosazovat by šlo samozřejmě dále, ale již teď je zřejmé, jak volit řídící
+ zásahy 
 \begin_inset Formula $u_{d}$
 \end_inset
@@ -9184,6 +9265,5 @@
 \end_inset
 
-.
- Chceme maximalizovat 
+: Chceme maximalizovat 
 \begin_inset Formula $\left|\omega\right|$
 \end_inset
@@ -9220,26 +9300,167 @@
  Výsledné řízení je tedy
 \begin_inset Formula 
+\begin{eqnarray}
+u_{d} & = & \tilde{u}_{d}-\varepsilon_{d}\,\mathrm{sign}\,\omega,\nonumber \\
+u_{q} & = & \tilde{u}_{q}+\varepsilon_{q}\,\mathrm{sign}\,\omega.\label{eq:zakladni-bikriterialní}
+\end{eqnarray}
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Subsection
+Časový posun hodnot
+\end_layout
+
+\begin_layout Standard
+Předchozí návrh byl poměrně přímočarým vyvozením rovnic (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:zakladni-bikriterialní"
+
+\end_inset
+
+) pro řízení z rovnice pro otáčky (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:rovnice_pro_opt_buz"
+
+\end_inset
+
+) a nebyly při něm respektovány správné časy jednotlivých veličin.
+ Chceme-li respektovat správný časový posun uvažovaných veličin, je třeba
+ rovnice (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:zakladni-bikriterialní"
+
+\end_inset
+
+) přepsat vzhledem k rovnice (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:rovnice_pro_opt_buz"
+
+\end_inset
+
+) do tvaru
+\begin_inset Formula 
 \begin{eqnarray*}
-u_{d} & = & \tilde{u}_{d}-\varepsilon\,\mathrm{sign}\,\omega,\\
-u_{q} & = & \tilde{u}_{q}+\varepsilon\,\mathrm{sign}\,\omega.
+u_{d,t} & = & \tilde{u}_{d,t}-\varepsilon_{d}\,\mathrm{sign}\,\omega_{t+3},\\
+u_{q,t} & = & \tilde{u}_{q,t}+\varepsilon_{q}\,\mathrm{sign}\,\omega_{t+2}.
 \end{eqnarray*}
 
 \end_inset
 
-
-\end_layout
-
-\begin_layout Standard
-Tento postup je relativně jednoduchou modifikací předchozího LQ algoritmu,
- ale jak ukazují simulace, může přinést značnou výhodu při určování počátečního
- natočení rotoru.
+Zde vystupující veličiny 
+\begin_inset Formula $\omega_{t+2}$
+\end_inset
+
+ a 
+\begin_inset Formula $\omega_{t+3}$
+\end_inset
+
+ lze získat, podobně jako rovnici (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:rovnice_pro_opt_buz"
+
+\end_inset
+
+), dosazováním do třetí rovnice z ostatních v soustavě (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:diskretni-system-dq-ls"
+
+\end_inset
+
+).
+ Jejich tvar je pak následující
+\begin_inset Formula 
+\begin{eqnarray*}
+\omega_{t+2} & \text{=} & \left(d^{2}-be\right)\omega_{t}+\left(a+d\right)ei_{q,t}-e\Delta t\cdot i_{d,t}\omega_{t}+ceu_{q,t},\\
+\omega_{t+3} & \text{=} & d\omega_{t+2}+ceu_{q,t+1}-be\left(a+d\right)\omega_{t}+e\left(a^{2}-be\right)i_{q,t}+aceu_{q,t}-\\
+ & - & e\Delta t\left(a+ad\right)i_{d,t}\omega_{t}-ae^{2}\Delta t\cdot i_{d,t}i_{q,t}-ed\left(\Delta t\right)^{2}i_{q,t}\omega_{t}^{2}-e^{2}\left(\Delta t\right)^{2}i_{q,t}^{2}\omega_{t}-\\
+ & - & cde\Delta t\cdot\omega_{t}u_{d,t}-ce^{2}\Delta t\cdot i_{q,t}u_{d,t}.
+\end{eqnarray*}
+
+\end_inset
+
+Výpočet řídících zásahů pak probíhá v následujícím pořadí: 
+\end_layout
+
+\begin_layout Standard
+Nejdříve je vypočtena pomocná veličina
+\begin_inset Formula 
+\[
+\phi=\left(d^{2}-be\right)\omega_{t}+\left(a+d\right)ei_{q,t}-e\Delta ti_{d,t}\omega_{t}
+\]
+
+\end_inset
+
+a následně řídící zásah v ose 
+\begin_inset Formula $q$
+\end_inset
+
+
+\begin_inset Formula 
+\[
+u_{q,t}=\tilde{u}_{q,t}+\varepsilon_{q}\,\mathrm{sign}\,\phi.
+\]
+
+\end_inset
+
+To umožní výpočet druhé pomocné veličiny
+\begin_inset Formula 
+\begin{eqnarray*}
+\zeta & = & d\phi+aceu_{q,t}-e\left(ab+bd+a\Delta t\left(1+d\right)i_{d,t}\right)\omega_{t}+\\
+ & + & e\left(a^{2}-be-ae\Delta t\cdot i_{d,t}\right)i_{q,t}-e\left(\Delta t\right)^{2}\left(d\omega_{t}+ei_{q,t}\right)i_{q,t}\omega_{t}.
+\end{eqnarray*}
+
+\end_inset
+
+Na závěr je vypočten řídící zásah v ose 
+\begin_inset Formula $d$
+\end_inset
+
+
+\begin_inset Formula 
+\[
+u_{d,t}=\tilde{u}_{d,t}-\varepsilon_{d}\,\mathrm{sign}\,\zeta.
+\]
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Ještě je třeba zmínit, že bylo zanedbáno budoucí řízení 
+\begin_inset Formula $u_{q,t+1}$
+\end_inset
+
+, které není známe a předchozím výpočtu je předpokládáno, že 
+\begin_inset Formula $u_{q,t+1}=0$
+\end_inset
+
+.
+ Lepších výsledků by mohlo být dosaženo užitím předpokladu 
+\begin_inset Formula $u_{q,t+1}=u_{q,t}$
+\end_inset
+
+, pak by se rovnice pro výpočet výsledného řízení změnily na 
+\begin_inset Formula $u_{d,t}=\tilde{u}_{d,t}-\varepsilon_{d}\,\mathrm{sign}\,\zeta'$
+\end_inset
+
+, kde 
+\begin_inset Formula $\zeta'=\zeta+ceu_{q,t+1}$
+\end_inset
+
+.
 \end_layout
 
 \begin_layout Subsection
 Další verze bikriteriální metody
-\end_layout
-
-\begin_layout Itemize
-posun hodnot pro správné časy
 \end_layout
 
@@ -9280,5 +9501,5 @@
 Injektáž (
 \series medium
-nutno přepracovat
+poupravit dle skutečné implementace
 \series default
 )
@@ -9286,26 +9507,18 @@
 
 \begin_layout Standard
-V této části bude popsán jednoduchý návrh řízení využívajícího injektáží.
- Jedná se o velmi základní návrh.
-\end_layout
-
-\begin_layout Standard
-Základní myšlenka je následující: Pomocí techniky injektáží se nepodařilo
- získat dostatečně kvalitní odhad úhlu natočení 
+V této části bude popsán návrh regulátoru využívajícího vysokofrekvenční
+ injektáže.
+ Základní myšlenka je následující: Protože se pomocí techniky injektáží
+ se nepodařilo získat dostatečně kvalitní odhad úhlu natočení 
 \begin_inset Formula $\vartheta$
 \end_inset
 
-, aby byl použit přímo pro řízení.
- Je tedy užíváno současně i EKF, kdy odhad 
+, aby byl použit přímo pro řízení, je užíván současně i EKF, kdy odhad 
 \begin_inset Formula $\vartheta$
 \end_inset
 
  z injektáže slouží jako další zdroj informace pro EKF.
- Kompletní odhad stavu pro řízení pak poskytuje EKF.
- Jako řízení je využíváno LQ řízení v 
-\begin_inset Formula $d-q$
-\end_inset
-
- souřadné soustavě.
+ Kompletní odhad stavu pro návrh řízení pak poskytuje EKF.
+ Jako řídící zásahy jsou generovány vektorovým řízením s LQ regulátorem.
 \end_layout
 
@@ -9352,6 +9565,5 @@
 \begin_layout Standard
 Větší část zde používaných algoritmů (LQ, EKF) již byla popsána výše v textu,
- proto zde uvedeme pouze případné změny.
- Mění se matice 
+ proto zde uvedeme pouze případné změny, ty jsou v maticích 
 \begin_inset Formula $C$
 \end_inset
@@ -9364,19 +9576,34 @@
 \begin_inset Formula 
 \begin{eqnarray*}
-C & = & \left[\begin{array}{ccccc}
+\overline{C} & = & \left[\begin{array}{ccccc}
 1 & 0 & 0 & 0 & 0\\
 0 & 1 & 0 & 0 & 0\\
 0 & 0 & 0 & 1 & 0
 \end{array}\right],\\
-R & = & \left[\begin{array}{ccc}
-r & 0 & 0\\
-0 & r & 0\\
-0 & 0 & r_{\vartheta}
-\end{array}\right].
+\overline{R} & = & \left[\begin{array}{cc}
+R & 0\\
+0 & r_{\vartheta}
+\end{array}\right],
 \end{eqnarray*}
 
 \end_inset
 
-
+kde 
+\begin_inset Formula $\overline{C}$
+\end_inset
+
+ a 
+\begin_inset Formula $\overline{R}$
+\end_inset
+
+ představují upravené matice a 
+\begin_inset Formula $R$
+\end_inset
+
+ je matice původní, 
+\begin_inset Formula $0$
+\end_inset
+
+ pak představuje nulový blok vhodné velikosti.
 \end_layout
 
@@ -9389,5 +9616,5 @@
 \begin_inset CommandInset ref
 LatexCommand ref
-reference "sec:Injektáže"
+reference "sub:Priblizeni-metody-vysokofrekvenc"
 
 \end_inset
@@ -9397,41 +9624,12 @@
 \end_inset
 
-.
- Z tohoto důvodu je třeba upravit i samotný simulátor a založit jej na rovnicích
- (
-\begin_inset CommandInset ref
-LatexCommand ref
-reference "eq:rovnice_ruzneL_proi"
-
-\end_inset
-
-) a (
-\begin_inset CommandInset ref
-LatexCommand ref
-reference "eq:rovnice_ruzneL_omega"
-
-\end_inset
-
-), které uvažují různé indukčnosti.
- Pro jednodušší zpracování byly zvoleny indukčnosti 
-\begin_inset Formula 
-\begin{eqnarray*}
-L_{d} & = & 1.5L_{s},\\
-L_{q} & = & L_{s}.
-\end{eqnarray*}
-
-\end_inset
-
-Tato volba samozřejmě neodpovídá SMPMSM, kde je rozdíl indukčností v osách
- 
-\begin_inset Formula $d$
-\end_inset
-
- a 
-\begin_inset Formula $q$
-\end_inset
-
- velmi malý.
- Zde užité hodnoty jsou voleny pro usnadnění návrhu.
+, platnost tohoto předpokladu byla stanovena v odstavci 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sec:uloha-rizeni-PMSM"
+
+\end_inset
+
+.
 \end_layout
 
@@ -9439,18 +9637,18 @@
 Vysokofrekvenční signál užitý pro injektáž byl zvolen jako kosinový signál
  o amplitudě 
-\begin_inset Formula $10V$
+\begin_inset Formula $A_{inj}$
 \end_inset
 
  a frekvenci 
-\begin_inset Formula $500Hz$
-\end_inset
-
-.
- Volba velikosti amplitudy je opět komplikovanou záležitostí.
+\begin_inset Formula $\omega_{inj}$
+\end_inset
+
+.
+ Volba velikosti amplitudy je problematickou záležitostí.
  Obecně platí, že větší amplituda umožní snadnější zpracování signálu, především
  z důvodu většího odstupu signálu od šumu.
  Naopak ale větší amplituda způsobuje i větší rušení v samotném PMSM.
- Obvykle je v injektážních technikách užívána amplituda menší, zde zvolená
- hodnota je vyšší aby opět usnadnila zpracování.
+ Obvykle je v injektážních technikách užívána amplituda menší, řádově v
+ jednokách voltů.
  Dalším problémem může být, že zde předkládaný návrh amplitudu nijak neomezuje
  s rostoucími otáčkami, stále je tedy injektován signál o stejné amplitudě.
@@ -9461,8 +9659,7 @@
 \begin_layout Standard
 Asi největší komplikací tohoto přístupu, ale i injektáží obecně je vhodný
- návrh low-pass filtru.
- Používá se k získání amplitudově modulované informace o poloze rotoru.
- Návrh filtrů je obecně netriviální záležitostí a může mít značný dopad
- na kvalitu výsledného odhadu 
+ postup demodulace.
+ Používá se k k tomu obecně digitálních filtrů, jejichž návrh je netriviální
+ záležitostí a může mít značný dopad na kvalitu výsledného odhadu 
 \begin_inset Formula $\vartheta$
 \end_inset
@@ -9487,5 +9684,5 @@
 \begin_inset Formula 
 \[
-\frac{V_{hf}}{\omega_{hf}}\frac{L_{q}-L_{d}}{2L_{d}L_{q}}\sin2\theta,
+\frac{A_{inj}}{\omega_{inj}}\frac{L_{q}-L_{d}}{2L_{d}L_{q}}\sin2\theta,
 \]
 
@@ -9493,9 +9690,9 @@
 
 kde 
-\begin_inset Formula $V_{hf}$
+\begin_inset Formula $A_{inj}$
 \end_inset
 
  představuje amplitudu a 
-\begin_inset Formula $\omega_{hf}$
+\begin_inset Formula $\omega_{inj}$
 \end_inset
 
@@ -9505,5 +9702,5 @@
 
  je chyba odhadu 
-\begin_inset Formula $\theta=\vartheta_{sys}-\vartheta_{est}$
+\begin_inset Formula $\theta=\vartheta-\hat{\vartheta}$
 \end_inset
 
@@ -9520,5 +9717,5 @@
 
  je však náročný a nedává příliš dobré výsledky z důvodu omezení na jeho
- definiční obor, proto je výhodné využít aproximaci 
+ definiční obor, proto je využita aproximaci 
 \begin_inset Formula $\sin x\approx x$
 \end_inset
@@ -9690,5 +9887,5 @@
 
 \begin_layout Plain Layout
-0,1
+1e-1
 \end_layout
 
@@ -9699,5 +9896,5 @@
 
 \begin_layout Plain Layout
-0,01
+1e-2
 \end_layout
 
@@ -9708,5 +9905,5 @@
 
 \begin_layout Plain Layout
-0,001
+1e-3
 \end_layout
 
@@ -9717,5 +9914,5 @@
 
 \begin_layout Plain Layout
-0,0001
+1e-4
 \end_layout
 
@@ -9726,5 +9923,5 @@
 
 \begin_layout Plain Layout
-0,00001
+1e-5
 \end_layout
 
@@ -9735,5 +9932,5 @@
 
 \begin_layout Plain Layout
-0,000001
+1e-6
 \end_layout
 
@@ -9755,5 +9952,5 @@
 
 \begin_layout Plain Layout
-1,3611e4
+1,361e4
 \end_layout
 
@@ -9764,5 +9961,5 @@
 
 \begin_layout Plain Layout
-2,7975e3
+2,798e3
 \end_layout
 
@@ -9773,5 +9970,5 @@
 
 \begin_layout Plain Layout
-2,7132e1
+2,713e1
 \end_layout
 
@@ -9782,5 +9979,5 @@
 
 \begin_layout Plain Layout
-7,7152e-2
+7,715e-2
 \end_layout
 
@@ -9791,5 +9988,5 @@
 
 \begin_layout Plain Layout
-1,8090e-1
+1,809e-1
 \end_layout
 
@@ -9800,5 +9997,5 @@
 
 \begin_layout Plain Layout
-2,0112e-1
+2,011e-1
 \end_layout
 
@@ -9809,5 +10006,5 @@
 
 \begin_layout Plain Layout
-2,1434e-1
+2,143e-1
 \end_layout
 
@@ -9820,5 +10017,5 @@
 
 \begin_layout Plain Layout
-0,1
+1e-1
 \end_layout
 
@@ -9829,5 +10026,5 @@
 
 \begin_layout Plain Layout
-1,3608e4
+1,361e4
 \end_layout
 
@@ -9838,5 +10035,5 @@
 
 \begin_layout Plain Layout
-2,7821e3
+2,782e3
 \end_layout
 
@@ -9847,5 +10044,5 @@
 
 \begin_layout Plain Layout
-2,6923e1
+2,692e1
 \end_layout
 
@@ -9856,5 +10053,5 @@
 
 \begin_layout Plain Layout
-6,1079e-2
+6,108e-2
 \end_layout
 
@@ -9865,5 +10062,5 @@
 
 \begin_layout Plain Layout
-6,5245e-2
+6,525e-2
 \end_layout
 
@@ -9874,5 +10071,5 @@
 
 \begin_layout Plain Layout
-6,8255e-2
+6,826e-2
 \end_layout
 
@@ -9883,5 +10080,5 @@
 
 \begin_layout Plain Layout
-7,2499e-2
+7,250e-2
 \end_layout
 
@@ -9894,5 +10091,5 @@
 
 \begin_layout Plain Layout
-0,01
+1e-2
 \end_layout
 
@@ -9903,5 +10100,5 @@
 
 \begin_layout Plain Layout
-1,3609e4
+1,361e4
 \end_layout
 
@@ -9912,5 +10109,5 @@
 
 \begin_layout Plain Layout
-2,7717e3
+2,772e3
 \end_layout
 
@@ -9921,5 +10118,5 @@
 
 \begin_layout Plain Layout
-2,6895e1
+2,690e1
 \end_layout
 
@@ -9930,5 +10127,5 @@
 
 \begin_layout Plain Layout
-8,3531e-2
+8,353e-2
 \end_layout
 
@@ -9939,5 +10136,5 @@
 
 \begin_layout Plain Layout
-3,6447e-2
+3,645e-2
 \end_layout
 
@@ -9948,5 +10145,5 @@
 
 \begin_layout Plain Layout
-3,0380e-2
+3,038e-2
 \end_layout
 
@@ -9957,5 +10154,5 @@
 
 \begin_layout Plain Layout
-3,6532e-2
+3,653e-2
 \end_layout
 
@@ -9968,5 +10165,5 @@
 
 \begin_layout Plain Layout
-0,001
+1e-3
 \end_layout
 
@@ -9977,5 +10174,5 @@
 
 \begin_layout Plain Layout
-1,3612e4
+1,361e4
 \end_layout
 
@@ -9986,5 +10183,5 @@
 
 \begin_layout Plain Layout
-2,7679e3
+2,768e3
 \end_layout
 
@@ -9995,5 +10192,5 @@
 
 \begin_layout Plain Layout
-2,6734e1
+2,673e1
 \end_layout
 
@@ -10004,5 +10201,5 @@
 
 \begin_layout Plain Layout
-9,1544e-2
+9,154e-2
 \end_layout
 
@@ -10013,5 +10210,5 @@
 
 \begin_layout Plain Layout
-3,4273e-2
+3,427e-2
 \end_layout
 
@@ -10022,5 +10219,5 @@
 
 \begin_layout Plain Layout
-3,1728e-2
+3,173e-2
 \end_layout
 
@@ -10031,5 +10228,5 @@
 
 \begin_layout Plain Layout
-3,3633e-2
+3,363e-2
 \end_layout
 
@@ -10042,5 +10239,5 @@
 
 \begin_layout Plain Layout
-0,0001
+1e-4
 \end_layout
 
@@ -10051,5 +10248,5 @@
 
 \begin_layout Plain Layout
-1,3616e4
+1,362e4
 \end_layout
 
@@ -10060,5 +10257,5 @@
 
 \begin_layout Plain Layout
-2,7716e3
+2,772e3
 \end_layout
 
@@ -10069,5 +10266,5 @@
 
 \begin_layout Plain Layout
-2,6787e1
+2,679e1
 \end_layout
 
@@ -10078,5 +10275,5 @@
 
 \begin_layout Plain Layout
-8,9357e-2
+8,936e-2
 \end_layout
 
@@ -10087,5 +10284,5 @@
 
 \begin_layout Plain Layout
-3,3911e-2
+3,391e-2
 \end_layout
 
@@ -10096,5 +10293,5 @@
 
 \begin_layout Plain Layout
-3,9216e-2
+3,922e-2
 \end_layout
 
@@ -10105,5 +10302,5 @@
 
 \begin_layout Plain Layout
-3,0616e-2
+3,062e-2
 \end_layout
 
@@ -10116,5 +10313,5 @@
 
 \begin_layout Plain Layout
-0,00001
+1e-5
 \end_layout
 
@@ -10125,5 +10322,5 @@
 
 \begin_layout Plain Layout
-1,3607e4
+1,361e4
 \end_layout
 
@@ -10134,5 +10331,5 @@
 
 \begin_layout Plain Layout
-2,7694e3
+2,769e3
 \end_layout
 
@@ -10143,5 +10340,5 @@
 
 \begin_layout Plain Layout
-2,6739e1
+2,674e1
 \end_layout
 
@@ -10152,5 +10349,5 @@
 
 \begin_layout Plain Layout
-8,4837e-2
+8,484e-2
 \end_layout
 
@@ -10161,5 +10358,5 @@
 
 \begin_layout Plain Layout
-3,4840e-2
+3,484e-2
 \end_layout
 
@@ -10170,5 +10367,5 @@
 
 \begin_layout Plain Layout
-3,9240e-2
+3,924e-2
 \end_layout
 
@@ -10179,5 +10376,5 @@
 
 \begin_layout Plain Layout
-3,7651e-2
+3,765e-2
 \end_layout
 
@@ -10190,5 +10387,5 @@
 
 \begin_layout Plain Layout
-0,000001
+1e-6
 \end_layout
 
@@ -10199,5 +10396,5 @@
 
 \begin_layout Plain Layout
-1,3617e4
+1,362e4
 \end_layout
 
@@ -10208,5 +10405,5 @@
 
 \begin_layout Plain Layout
-2,7706e3
+2,771e3
 \end_layout
 
@@ -10217,5 +10414,5 @@
 
 \begin_layout Plain Layout
-2,6783e1
+2,678e1
 \end_layout
 
@@ -10226,5 +10423,5 @@
 
 \begin_layout Plain Layout
-8,8681e-2
+8,868e-2
 \end_layout
 
@@ -10235,5 +10432,5 @@
 
 \begin_layout Plain Layout
-3,8210e-2
+3,821e-2
 \end_layout
 
